--- title: "Get Secret List" slug: "secretmanager-getsecretlist" updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/secretmanager-getsecretlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Secret List Available in VPC Get the secret list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/secrets | ### Request headers For information about the headers common to all Secret Manager APIs, see [Secret Manager request headers](/docs/en/secretmanager-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://secretmanager.apigw.ntruss.com/api/v1/secrets?pageNo=0' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `data` | Object | - | Response result | | `data.totalPageNo` | Integer | - | Total number of pages | | `data.currentPageNo` | Integer | - | Current page number | | `data.totalCount` | Integer | - | Total secret count | | `data.secretList` | Array | - | [Secret list](/docs/en/secretmanager-getsecretlist#secretList) | #### secretList The following describes `secretList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `secretId` | String | - | Secret ID | | `secretName` | String | - | Secret name | | `secretStatus` | String | - | Secret status - `ENABLE` \| `DISABLE` \| `REVOKE` \| `ROTATING` \| `DESTROYED` - `ENABLE`: Available - `DISABLE`: Suspended - `REVOKE`: Scheduled for deletion - `ROTATING`: Rotation in progress - `DESTROYED`: Finally deleted | | `secretType` | String | - | Secret type - `BASIC` (valid value) | | `region` | String | - | Area code | | `registerDate` | Long | - | Secret creation date and time - Unix timestamp format | ### Response status codes For information about the HTTP status codes common to all Secret Manager APIs, see [Secret Manager response status codes](/docs/en/secretmanager-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "SUCCESS", "data": { "totalPageNo": 1, "currentPageNo": 1, "totalCount": 2, "secretList": [ { "secretId": "*****687685109842348f7358629bca2a6b2491e8c2352718e7d312b183*****", "secretName": "test-***", "secretStatus": "ENABLE", "secretType": "BASIC", "region": "KR", "registerDate": 1753065580243 } ] } } ```